import "./WatchFace.scss"
import { getTimeData } from './utills';

export const WatchFace = ({timer}) => {
    let {hours, minutes, seconds} = timer.totalSeconds ? getTimeData(timer.totalSeconds) : timer;
    return (
        <>
            <h1>{hours} : {minutes} : {seconds}</h1>;
            <div
                className='timer'
                style={{
                    "--hours": `${hours}`,
                    "--minutes": `${minutes}`,
                    "--seconds": `${seconds}`
                }}
            >
                <span className='timer_hours' />
                <span className='timer_minutes' />
                <span className='timer_seconds' />
            </div>


        </>
    )
}