export const getTotalSeconds = (h, m, s) => +h * 3600 + +m * 60 + +s;
export const getTimeData = (totalSeconds) => {
    let currDate = new Date(+totalSeconds * 1000).toISOString().slice(11, 19);
    const timeRgx = /([0-9][0-9]):([0-9][0-9]):([0-9][0-9])/;
    const match = currDate.match(timeRgx);
    return {
        hours: match[1],
        minutes: match[2],
        seconds: match[3],
        totalSeconds
    };
}