import { getTimeData, getTotalSeconds } from './utills';
import { useState} from 'react';
export const WatchFaceController = ({ timerController: { start, pause, stop, reset, count } }) => {
    let [state, setState] = useState({ count, ...getTimeData(count) }); //count исходя из данных в input
    const setStateInt = newState => {
        setState(state = { ...state, ...newState });
        reset(state.count);
    }
    return (
        <>
            <input value={state.hours}
                onChange={e => setStateInt({ hours: e.target.value, count: getTotalSeconds(e.target.value, state.minutes, state.seconds) })}
                type="number" />
            <input value={state.minutes}
                onChange={e => setStateInt({ minutes: e.target.value, count: getTotalSeconds(state.hours, e.target.value, state.seconds) })}
                type="number" />
            <input value={state.seconds}
                onChange={e => setStateInt({ seconds: e.target.value, count: getTotalSeconds(state.hours, state.minutes, e.target.value) })}
                type="number" />
            <br />
            <button onClick={() => start()}>Start</button>
            <button onClick={() => pause()}>Pause</button>
            <button onClick={() => reset(state.count)}>Reset</button>
            <button onClick={() => stop(state.count)}>Stop</button>
        </>
    );
}