import React from 'react';
import ReactDOM from 'react-dom/client';
import './index.css';
import AppLcd from './App_lcd';
import AppTimer from './App_timer';
import AppTimerControl from './App_timer_control';
import AppTimerContainer from './App_timer_container';
import AppWatch from './App_watch';
import AppWatchController from './App_watch_timer_control';
import reportWebVitals from './reportWebVitals';

const root = ReactDOM.createRoot(document.getElementById('root'));
root.render(
  <React.StrictMode>
    <h1>Timer</h1>
    <AppTimer/>
    <h1>Timer Control</h1>
    <AppTimerControl/>
    <h1>Timer Container</h1>
    <AppTimerContainer/>
    <h1>LCD</h1>
    <AppLcd />
    <h1>Watch</h1>
    <AppWatch />
    <h1>Watch Face Controller</h1>
    <AppWatchController />
  </React.StrictMode>
);

// If you want to start measuring performance in your app, pass a function
// to log results (for example: reportWebVitals(console.log))
// or send to an analytics endpoint. Learn more: https://bit.ly/CRA-vitals
reportWebVitals();
